Bug 8877 - Volume buttons should work in camera window when lens cover is not opened
: Volume buttons should work in camera window when lens cover is not opened
Status: RESOLVED FIXED
Product: Images and Camera
Camera
: 5.0/(2.2009.51-1)
: N900 Maemo
: Medium normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: camera-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-06 22:54 UTC by lakshmi.p
Modified: 2010-03-15 20:54 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description lakshmi.p (reporter) 2010-02-06 22:54:31 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Make sure lens cover is closed
2. Open camera application
3. Camera application is opened and open lens cover message is seen
4. Press volume buttons + or -

EXPECTED OUTCOME:
There is nothing to zoom in/out in the camera application when lens cover is
not opened. So, device volume should be changed based on the button press and
volume bar should be displayed on top of the window.

ACTUAL OUTCOME:
Volume bar is not displayed and there is no change in the device volume.

REPRODUCIBILITY:
always
Comment 1 Andre Klapper maemo.org 2010-02-10 15:39:54 UTC
Thanks for reporting this.
This works fine here in the internal version 2010.06-3 so I assume it has been
fixed in the meantime.

A future public update  will include the fix. (This is not always already the
next public update.)

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 2 Andre Klapper maemo.org 2010-03-15 20:54:37 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).